Subject: [PATCH RFC 2/3] i2c-nomadik: turn the platform driver to an amba driver

From: [email-masked] (Lee Jones)
Date: Fri, 01 Jun 2012 10:24:08 +0800

On 01/06/12 09:53, Linus Walleij wrote:
> On Fri, Jun 1, 2012 at 2:02 AM, Alessandro Rubini<[email-masked]>  wrote:
>
>> So I'll resubmit in the right way (-M, include/linux/platform_data)
>> as soon as I have information for ftd fixup.
>
> OK if nothing happens you can probably just go in and patch:
> arch/arm/boot/dts/db8500.dtsi
>
> I suspect it's just the compatible= that needs to be changed to
> "arm,primecell" or just have that string added to the others that
> are already there for each i2c device entry.

I already have a patch to enabled I2C. If this patch goes in, I will fix 
it up to register itself as a Primecell device instead. No problem.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
M: +44 77 88 633 515
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog